# Copyright 20.18 Pasi Niemi
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
import sys
from setuptools import setup

setup(name='nitor-audit',
      version='0.1.2',
      description='Tools for uploading security audit logs to a centralized sftp server',
      url='http://github.com/NitorCreations/nitor-audit',
      download_url='https://github.com/NitorCreations/nitor-audit/tarball/0.1',
      author='Pasi Niemi',
      author_email='pasi.niemi@nitor.com',
      license='GPL 3.0',
      packages=['nitor_audit'],
      include_package_data=True,
      scripts=[ 'bin/audit.sh' ],
      entry_points={
          'console_scripts': [
              'nitor-audit-init=nitor_audit.cli:init',
          ],
      },
      install_requires=[
      ],
      tests_require=[
          'pytest',
          'pytest-mock',
          'pytest-cov'
      ],
      zip_safe=False)
